/****************************************************************/
/* Farbmacher et al, 2017; Increasing the credibility of the twin birth instrument */
/****************************************************************/


* this do-files uses the original population register files as inputs and
* creates the lab* files used in all other do-files

clear all
set mem 10000m
set more off

cd "T:\new 2014_12_09"

*** 1985 ***
************

clear
use pop_1985.dta

drop forsamling kon

rename lopnrfk id
rename loneink lincome1985
rename sys employed_nov1985
rename edu_lev educ1985
rename kommun municipal1985

destring municipal1985, replace
destring id, replace

tab educ,m
tab educ,m nol
drop if educ==.
drop if educ==0

compress
save lab1_1985.dta, replace

*** 1986 ***
************

clear
use pop_1986.dta

drop forsamling kon

rename lopnrfk id
rename loneink lincome1986
rename sys employed_nov1986
rename edu_lev educ1986
rename kommun municipal1986

destring municipal1986, replace
destring id, replace

tab educ,m
tab educ,m nol
drop if educ==.
drop if educ==0

compress
save lab1_1986.dta, replace

*** 1987 ***
************

clear
use pop_1987.dta

drop forsamling kon

rename lopnrfk id
rename loneink lincome1987
rename sys employed_nov1987
rename edu_lev educ1987
rename kommun municipal1987

destring municipal1987, replace
destring id, replace

tab educ,m
tab educ,m nol
drop if educ==.
drop if educ==0

compress
save lab1_1987.dta, replace

*** 1988 ***
************

clear
use pop_1988.dta

drop forsamling kon

rename lopnrfk id
rename loneink lincome1988
rename sys employed_nov1988
rename edu_lev educ1988
rename kommun municipal1988

destring municipal1988, replace
destring id, replace

tab educ,m
tab educ,m nol
drop if educ==.
drop if educ==0

compress
save lab1_1988.dta, replace

*** 1989 ***
************

clear
use pop_1989.dta

drop forsamling kon

rename lopnrfk id
rename loneink lincome1989
rename sys employed_nov1989
rename edu_lev educ1989
rename kommun municipal1989

destring municipal1989, replace
destring id, replace

tab educ,m
tab educ,m nol
drop if educ==.
drop if educ==0

compress
save lab1_1989.dta, replace

*** 1990 ***
************

clear
use pop_1990.dta

drop forsamling

rename lopnrfk id
rename barn0_3 nukids0_3_1990
rename barn4_6 nukids4_6_1990
rename barn7_10 nukids7_10_1990
rename barn11_15 nukids11_15_1990
rename barn16_17 nukids16_17_1990
rename barn18plus nukids18plus_1990
rename loneink lincome1990
rename akassa uibenefits1990
rename soc wbenefits1990
rename sys employed_nov1990
rename married married1990
rename edu_lev educ1990
rename kommun municipal1990

destring municipal1990, replace
destring id, replace

tab educ,m
tab educ,m nol
drop if educ==.
drop if educ==0

compress
save lab1_1990.dta, replace

*** 1991 ***
************

clear
use pop_1991.dta

drop forsamling

rename lopnrfk id
rename barn0_3 nukids0_3_1991
rename barn4_6 nukids4_6_1991
rename barn7_10 nukids7_10_1991
rename barn11_15 nukids11_15_1991
rename barn16_17 nukids16_17_1991
rename barn18plus nukids18plus_1991
rename loneink lincome1991
rename akassa uibenefits1991
rename soc wbenefits1991
rename sys employed_nov1991
rename married married1991
rename edu_lev educ1991
rename kommun municipal1991

destring municipal1991, replace
destring id, replace

tab educ,m
tab educ,m nol
drop if educ==.
drop if educ==0

compress
save lab1_1991.dta, replace

*** 1992 ***
************

clear
use pop_1992.dta

drop forsamling

rename lopnrfk id
rename barn0_3 nukids0_3_1992
rename barn4_6 nukids4_6_1992
rename barn7_10 nukids7_10_1992
rename barn11_15 nukids11_15_1992
rename barn16_17 nukids16_17_1992
rename barn18plus nukids18plus_1992
rename loneink lincome1992
rename akassa uibenefits1992
rename soc wbenefits1992
rename sys employed_nov1992
rename married married1992
rename edu_lev educ1992
rename kommun municipal1992

destring municipal1992, replace
destring id, replace

tab educ,m
tab educ,m nol
drop if educ==.
drop if educ==0

compress
save lab1_1992.dta, replace

*** 1993 ***
************

clear
use pop_1993.dta

drop forsamling

rename lopnrfk id
rename barn0_3 nukids0_3_1993
rename barn4_6 nukids4_6_1993
rename barn7_10 nukids7_10_1993
rename barn11_15 nukids11_15_1993
rename barn16_17 nukids16_17_1993
rename barn18plus nukids18plus_1993
rename loneink lincome1993
rename akassa uibenefits1993
rename soc wbenefits1993
rename sys employed_nov1993
rename married married1993
rename edu_lev educ1993
rename kommun municipal1993

destring municipal1993, replace
destring id, replace

tab educ,m
tab educ,m nol
drop if educ==.
drop if educ==0

compress
save lab1_1993.dta, replace

*** 1994 ***
************

clear
use pop_1994.dta

drop forsamling

rename lopnrfk id
rename barn0_3 nukids0_3_1994
rename barn4_6 nukids4_6_1994
rename barn7_10 nukids7_10_1994
rename barn11_15 nukids11_15_1994
rename barn16_17 nukids16_17_1994
rename barn18plus nukids18plus_1994
rename loneink lincome1994
rename akassa uibenefits1994
rename soc wbenefits1994
rename sys employed_nov1994
rename married married1994
rename edu_lev educ1994
rename kommun municipal1994

destring municipal1994, replace
destring id, replace

tab educ,m
tab educ,m nol
drop if educ==.
drop if educ==0

compress
save lab1_1994.dta, replace

*** 1995 ***
************

clear
use pop_1995.dta

drop forsamling kon

rename lopnrfk id
rename barn0_3 nukids0_3_1995
rename barn4_6 nukids4_6_1995
rename barn7_10 nukids7_10_1995
rename barn11_15 nukids11_15_1995
rename barn16_17 nukids16_17_1995
//rename barn18plus nukids18plus_1995
rename loneink lincome1995
rename akassa uibenefits1995
rename soc wbenefits1995
rename sys employed_nov1995
rename married married1995
rename edu_lev educ1995
rename kommun municipal1995

destring municipal1995, replace
destring id, replace

tab educ,m
tab educ,m nol
drop if educ==.
drop if educ==0

compress
save lab1_1995.dta, replace


*** 1996 ***
************

clear
use pop_1996.dta

drop forsamling kon

rename lopnrfk id
rename barn0_3 nukids0_3_1996
rename barn4_6 nukids4_6_1996
rename barn7_10 nukids7_10_1996
rename barn11_15 nukids11_15_1996
rename barn16_17 nukids16_17_1996
//rename barn18plus nukids18plus_1996
rename loneink lincome1996
rename akassa uibenefits1996
rename soc wbenefits1996
rename sys employed_nov1996
rename married married1996
rename edu_lev educ1996
rename kommun municipal1996

destring municipal1996, replace
destring id, replace

tab educ,m
tab educ,m nol
drop if educ==.
drop if educ==0

compress
save lab1_1996.dta, replace

*** 1997 ***
************

clear
use pop_1997.dta

drop forsamling kon

rename lopnrfk id
rename barn0_3 nukids0_3_1997
rename barn4_6 nukids4_6_1997
rename barn7_10 nukids7_10_1997
rename barn11_15 nukids11_15_1997
rename barn16_17 nukids16_17_1997
//rename barn18plus nukids18plus_1997
rename loneink lincome1997
rename akassa uibenefits1997
rename soc wbenefits1997
rename sys employed_nov1997
rename married married1997
rename edu_lev educ1997
rename kommun municipal1997

destring municipal1997, replace
destring id, replace

tab educ,m
tab educ,m nol
drop if educ==.
drop if educ==0

compress
save lab1_1997.dta, replace

*** 1998 ***
************

clear
use pop_1998.dta

drop forsamling kon

rename lopnrfk id
rename barn0_3 nukids0_3_1998
rename barn4_6 nukids4_6_1998
rename barn7_10 nukids7_10_1998
rename barn11_15 nukids11_15_1998
rename barn16_17 nukids16_17_1998
//rename barn18plus nukids18plus_1998
rename loneink lincome1998
rename akassa uibenefits1998
rename soc wbenefits1998
rename sys employed_nov1998
rename married married1998
rename edu_lev educ1998
rename kommun municipal1998

destring municipal1998, replace
destring id, replace

tab educ,m
tab educ,m nol
drop if educ==.
drop if educ==0

compress
save lab1_1998.dta, replace

*** 1999 ***
************

clear
use pop_1999.dta

drop forsamling kon

rename lopnrfk id
rename barn0_3 nukids0_3_1999
rename barn4_6 nukids4_6_1999
rename barn7_10 nukids7_10_1999
rename barn11_15 nukids11_15_1999
rename barn16_17 nukids16_17_1999
//rename barn18plus nukids18plus_1999
rename loneink lincome1999
rename akassa uibenefits1999
rename soc wbenefits1999
rename sys employed_nov1999
rename married married1999
rename edu_lev educ1999
rename kommun municipal1999

destring municipal1999, replace
destring id, replace

tab educ,m
tab educ,m nol
drop if educ==.
drop if educ==0

compress
save lab1_1999.dta, replace

*** 2000 ***
************

clear
use pop_2000.dta

drop forsamling kon

rename lopnrfk id
rename barn0_3 nukids0_3_2000
rename barn4_6 nukids4_6_2000
rename barn7_10 nukids7_10_2000
rename barn11_15 nukids11_15_2000
rename barn16_17 nukids16_17_2000
//rename barn18plus nukids18plus_2000
rename loneink lincome2000
rename akassa uibenefits2000
rename soc wbenefits2000
rename sys employed_nov2000
rename married married2000
rename edu_lev educ2000
rename kommun municipal2000

destring municipal2000, replace
destring id, replace

tab educ,m
tab educ,m nol
drop if educ==.
drop if educ==0

compress
save lab1_2000.dta, replace

*** 2001 ***
************

clear
use pop_2001.dta

drop forsamling kon

rename lopnrfk id
rename barn0_3 nukids0_3_2001
rename barn4_6 nukids4_6_2001
rename barn7_10 nukids7_10_2001
rename barn11_15 nukids11_15_2001
rename barn16_17 nukids16_17_2001
//rename barn18plus nukids18plus_2001
rename loneink lincome2001
rename akassa uibenefits2001
rename soc wbenefits2001
rename sys employed_nov2001
rename married married2001
rename edu_lev educ2001
rename kommun municipal2001

destring municipal2001, replace
destring id, replace

tab educ,m
tab educ,m nol
drop if educ==.
drop if educ==0

compress
save lab1_2001.dta, replace

*** 2002 ***
************

clear
use pop_2002.dta

drop forsamling kon

rename lopnrfk id
rename barn0_3 nukids0_3_2002
rename barn4_6 nukids4_6_2002
rename barn7_10 nukids7_10_2002
rename barn11_15 nukids11_15_2002
rename barn16_17 nukids16_17_2002
//rename barn18plus nukids18plus_2002
rename loneink lincome2002
rename akassa uibenefits2002
rename soc wbenefits2002
rename sys employed_nov2002
rename married married2002
rename edu_lev educ2002
rename kommun municipal2002

destring municipal2002, replace
destring id, replace

tab educ,m
tab educ,m nol
drop if educ==.
drop if educ==0

compress
save lab1_2002.dta, replace

*** 2003 ***
************

clear
use pop_2003.dta

drop forsamling kon

rename lopnrfk id
rename barn0_3 nukids0_3_2003
rename barn4_6 nukids4_6_2003
rename barn7_10 nukids7_10_2003
rename barn11_15 nukids11_15_2003
rename barn16_17 nukids16_17_2003
//rename barn18plus nukids18plus_2003
rename loneink lincome2003
rename akassa uibenefits2003
rename soc wbenefits2003
rename sys employed_nov2003
rename married married2003
rename edu_lev educ2003
rename kommun municipal2003

destring municipal2003, replace
destring id, replace

tab educ,m
tab educ,m nol
drop if educ==.
drop if educ==0

compress
save lab1_2003.dta, replace

*** 2004 ***
************

clear
use pop_2004.dta

drop forsamling kon

rename lopnrfk id
rename barn0_3 nukids0_3_2004
rename barn4_6 nukids4_6_2004
rename barn7_10 nukids7_10_2004
rename barn11_15 nukids11_15_2004
rename barn16_17 nukids16_17_2004
//rename barn18plus nukids18plus_2004
rename loneink lincome2004
rename akassa uibenefits2004
rename soc wbenefits2004
rename sys employed_nov2004
rename married married2004
rename edu_lev educ2004
rename kommun municipal2004

destring municipal2004, replace
destring id, replace

tab educ,m
tab educ,m nol
drop if educ==.
drop if educ==0

compress
save lab1_2004.dta, replace

*** 2005 ***
************

clear
use pop_2005.dta

drop forsamling kon

rename lopnrfk id
rename barn0_3 nukids0_3_2005
rename barn4_6 nukids4_6_2005
rename barn7_10 nukids7_10_2005
rename barn11_15 nukids11_15_2005
rename barn16_17 nukids16_17_2005
//rename barn18plus nukids18plus_2005
rename loneink lincome2005
rename akassa uibenefits2005
rename soc wbenefits2005
rename sys employed_nov2005
rename married married2005
rename edu_lev educ2005
rename kommun municipal2005

destring municipal2005, replace
destring id, replace

tab educ,m
tab educ,m nol
drop if educ==.
drop if educ==0

compress
save lab1_2005.dta, replace

*** 2006 ***
************

clear
use pop_2006.dta

drop forsamling kon

rename lopnrfk id
rename barn0_3 nukids0_3_2006
rename barn4_6 nukids4_6_2006
rename barn7_10 nukids7_10_2006
rename barn11_15 nukids11_15_2006
rename barn16_17 nukids16_17_2006
//rename barn18plus nukids18plus_2006
rename loneink lincome2006
rename akassa uibenefits2006
rename soc wbenefits2006
rename sys employed_nov2006
rename married married2006
rename edu_lev educ2006
rename kommun municipal2006

destring municipal2006, replace
destring id, replace

tab educ,m
tab educ,m nol
drop if educ==.
drop if educ==0

compress
save lab1_2006.dta, replace

*** 2007 ***
************

clear
use pop_2007.dta

drop forsamling kon

rename lopnrfk id
rename barn0_3 nukids0_3_2007
rename barn4_6 nukids4_6_2007
rename barn7_10 nukids7_10_2007
rename barn11_15 nukids11_15_2007
rename barn16_17 nukids16_17_2007
//rename barn18plus nukids18plus_2007
rename loneink lincome2007
rename akassa uibenefits2007
rename soc wbenefits2007
rename sys employed_nov2007
rename married married2007
rename edu_lev educ2007
rename kommun municipal2007

destring municipal2007, replace
destring id, replace

tab educ,m
tab educ,m nol
drop if educ==.
drop if educ==0

compress
save lab1_2007.dta, replace

*** 2008 ***
************

clear
use pop_2008.dta

drop forsamling kon

rename lopnrfk id
rename barn0_3 nukids0_3_2008
rename barn4_6 nukids4_6_2008
rename barn7_10 nukids7_10_2008
rename barn11_15 nukids11_15_2008
rename barn16_17 nukids16_17_2008
//rename barn18plus nukids18plus_2008
rename loneink lincome2008
rename akassa uibenefits2008
rename soc wbenefits2008
rename sys employed_nov2008
rename married married2008
rename edu_lev educ2008
rename kommun municipal2008

destring municipal2008, replace
destring id, replace

tab educ,m
tab educ,m nol
drop if educ==.
drop if educ==0

compress
save lab1_2008.dta, replace

*** 2009 ***
************

clear
use pop_2009.dta

drop forsamling kon

rename lopnrfk id
rename barn0_3 nukids0_3_2009
rename barn4_6 nukids4_6_2009
rename barn7_10 nukids7_10_2009
rename barn11_15 nukids11_15_2009
rename barn16_17 nukids16_17_2009
//rename barn18plus nukids18plus_2009
rename loneink lincome2009
rename akassa uibenefits2009
rename soc wbenefits2009
rename sys employed_nov2009
rename married married2009
rename edu_lev educ2009
rename kommun municipal2009

destring municipal2009, replace
destring id, replace

tab educ,m
tab educ,m nol
drop if educ==.
drop if educ==0

compress
save lab1_2009.dta, replace


*** 2010 ***
************

clear
use pop_2010.dta

drop forsamling kon

rename lopnrfk id
rename barn0_3 nukids0_3_2010
rename barn4_6 nukids4_6_2010
rename barn7_10 nukids7_10_2010
rename barn11_15 nukids11_15_2010
rename barn16_17 nukids16_17_2010
//rename barn18plus nukids18plus_2010
rename loneink lincome2010
rename akassa uibenefits2010
rename soc wbenefits2010
rename sys employed_nov2010
rename married married2010
rename edu_lev educ2010
rename kommun municipal2010

destring municipal2010, replace
destring id, replace

tab educ,m
tab educ,m nol
drop if educ==.
drop if educ==0

compress
save lab1_2010.dta, replace

